Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::coordinate_node Class Reference

Inheritance diagram for openvrml::coordinate_node:

[legend]
List of all members.

## Detailed Description

Abstract base class for coordinate nodes.

## Public Member Functions
virtual | ~coordinate_node ()=0 throw ()
| Destroy.
virtual const std::vector< vec3f > & | point () const =0 throw ()
| Get the points encapsulated by this node.
## Protected Member Functions
| coordinate_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.
## Private Member Functions
virtual coordinate_node * | to_coordinate () throw ()
| Cast to a coordinate_node.

## Constructor & Destructor Documentation

openvrml::coordinate_node::~coordinate_node | ( |  | ) | throw ()`[pure virtual]`

| Destroy. Implemented in openvrml::vrml97_node::coordinate_node.

openvrml::coordinate_node::coordinate_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) | throw ()`[protected]`

  | Construct. Parameters:
  | type | the node_type associated with the node.
  | scope | the Scope the node belongs to.
Reimplemented in openvrml::vrml97_node::coordinate_node.

## Member Function Documentation

const std::vector< vec3f > & openvrml::coordinate_node::point | ( |  | ) | const throw ()`[pure virtual]`

| Get the points encapsulated by this node. Returns: the array of points for this node. Implemented in openvrml::vrml97_node::coordinate_node.

coordinate_node * openvrml::coordinate_node::to_coordinate | ( |  | ) | throw ()`[private, virtual]`

| Cast to a coordinate_node. Returns: a pointer to this coordinate_node. Reimplemented from openvrml::node.